import { BaseTaskResult, ResultData, TaskResult, ActionList } from '@checkup/core';
export default class EslintDisableTaskResult extends BaseTaskResult implements TaskResult {
    actionList: ActionList;
    data: {
        esLintDisables: ResultData;
    };
    process(data: {
        esLintDisables: ResultData;
    }): void;
    toConsole(): void;
    toJson(): {
        meta: import("../../../core/lib").TaskMetaData;
        result: {
            eslintDisables: import("../../../core/lib").TaskItemData[];
            fileErrors: string[];
        };
    };
}
//# sourceMappingURL=eslint-disable-task-result.d.ts.map