import { BaseTaskResult, TaskResult, ActionList } from '@checkup/core';
import { Dependency } from '../tasks/outdated-dependencies-task';
export default class OutdatedDependenciesTaskResult extends BaseTaskResult implements TaskResult {
    actionList: ActionList;
    data: {
        dependencies: Dependency[];
    };
    process(data: {
        dependencies: Dependency[];
    }): void;
    toConsole(): void;
    toJson(): {
        meta: import("../../../core/lib").TaskMetaData;
        result: {
            dependencies: Dependency[];
        };
    };
    get outdatedDependencies(): Dependency[];
    get versionTypes(): Map<string, Array<Dependency>>;
}
//# sourceMappingURL=outdated-dependencies-task-result.d.ts.map